#define buildglade %(pkg-config libglade-2.0 && echo 1 || echo 0)

Summary: Python bindings for the GTK+ widget set
Name: pygtk2
Version: 2.0.0
Release: alt4
License: LGPL
URL: http://www.daa.com.au/~james/software/pygtk/
Group: Development/Other
Source: ftp://ftp.gtk.org/pub/gtk/python/pygtk-%version.tar.bz2
#Patch: pygtk-1.99.12-atom_intern.patch
#Patch1: pygtk-1.99.12-pixbuf-leak.patch
Requires: python22

# Automatically added by buildreq on Thu Oct 23 2003
BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ glib2-devel gtkglarea2-devel hostinfo libGLU-devel libatk-devel libexpat libglade2-devel libgtk+2-devel libpango-devel libstdc++-devel libxml2-devel pkgconfig python-devel zlib-devel

# no needed dependency in gtkglare2
BuildRequires: gtkglarea2 gtkglarea2-devel


%description
PyGTK is an extension module for python that gives you access to the GTK+
widget set.  Just about anything you can write in C with GTK+ you can write
in python with PyGTK (within reason), but with all the benefits of python.

%package libglade
Summary: A wrapper for the libglade library for use with PyGTK
Group: Development/Other
Requires: pygtk2 = %version

%description libglade
This module contains a wrapper for the libglade library.  Libglade allows
a program to construct its user interface from an XML description, which
allows the programmer to keep the UI and program logic separate.

%package devel
Summary: files needed to build wrappers for GTK+ addon libraries
Group: Development/Other
Requires: pygtk2 = %version

%description devel
This package contains files required to build wrappers for GTK+ addon
libraries so that they interoperate with pygtk.

%prep
%setup -q -n pygtk-%version
#patch -p1 -b .atom_intern
#patch1 -p1 -b .leak

%build
%configure
%make_build

%install
%makeinstall
find $RPM_BUILD_ROOT -name "*.la" -exec rm {} \;

%files
%dir %prefix/lib/python?.?/site-packages/gtk-2.0/gtk
%prefix/lib/python?.?/site-packages/gtk-2.0/gtk/__init__.py*
%prefix/lib/python?.?/site-packages/gtk-2.0/gtk/keysyms.py*
%prefix/lib/python?.?/site-packages/gtk-2.0/gtk/compat.py*
%prefix/lib/python?.?/site-packages/gtk-2.0/gtk/_gtk.so
%prefix/lib/python?.?/site-packages/gtk-2.0/atk.so
%prefix/lib/python?.?/site-packages/gtk-2.0/gtk/dsextras.py*
%prefix/lib/python?.?/site-packages/gtk-2.0/gobject.so
%prefix/lib/python?.?/site-packages/gtk-2.0/pango.so
%prefix/lib/python?.?/site-packages/pygtk.*
%doc AUTHORS COPYING INSTALL NEWS README MAPPING ChangeLog PKG-INFO THREADS TODO
%doc examples

#if %buildglade
%files libglade
%prefix/lib/python?.?/site-packages/gtk-2.0/gtk/glade.so
#endif

%files devel
%prefix/bin/pygtk-codegen-2.0
%defattr(644, root, root, 755)
%dir %prefix/include/pygtk-2.0
%prefix/include/pygtk-2.0/*.h
%dir %prefix/include/pygtk-2.0/pygtk
%prefix/include/pygtk-2.0/pygtk/*.h
%_libdir/pkgconfig/pygtk-2.0.pc
%dir %prefix/share/pygtk
%dir %prefix/share/pygtk/2.0
%dir %prefix/share/pygtk/2.0/codegen
%dir %prefix/share/pygtk/2.0/defs
%prefix/share/pygtk/2.0/codegen/*
%prefix/share/pygtk/2.0/defs/*.defs

%changelog
* Wed Oct 29 2003 Egor S. Orlov <oes@altlinux.ru> 2.0.0-alt4
- Added python22 requires
- Aded _gtk.so to the package

* Thu Oct 23 2003 Egor S. Orlov <oes@altlinux.ru> 2.0.0-alt3
- Added URL 

* Thu Oct 23 2003 Egor S. Orlov <oes@altlinux.ru> 2.0.0-alt2
- hasher build 
- added gtkglarea2(-devel) dependency

* Mon Sep 29 2003 Egor S. Orlov <oes@altlinux.ru> 2.0.0-alt1
- New version 

* Tue Nov 12 2002 AEN <aen@altlinux.ru> 1.99.12-alt1
- first build for Sisyphus

* Thu Oct 31 2002 Matt Wilson <msw@redhat.com>
- rebuild for multilib
- use %%configure

* Fri Aug 30 2002 Matt Wilson <msw@redhat.com>
- fix pixbuf leaks (#72137)
- five more pixbuf leaks plugged

* Wed Aug 28 2002 Jonathan Blandford <jrb@redhat.com>
- remover Packager tag

* Tue Aug 27 2002 Jonathan Blandford <jrb@redhat.com>
- add binding for gdk_atom_intern

* Mon Jul 29 2002 Matt Wilson <msw@redhat.com>
- 0.99.12

* Wed Jul 17 2002 Matt Wilson <msw@redhat.com>
- new version from CVS

* Thu Jun 27 2002 Tim Waugh <twaugh@redhat.com>
- Fix bug #65770.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Jun 17 2002 Matt Wilson <msw@redhat.com>
- new version from CVS

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed May 22 2002 Jeremy Katz <katzj@redhat.com>
- 1.99.10

* Wed Feb 27 2002 Matt Wilson <msw@redhat.com>
- 1.99.8

* Mon Jan 28 2002 Matt Wilson <msw@redhat.com>
- added atkmodule.so to file list

* Thu Oct 18 2001 Matt Wilson <msw@redhat.com>
- fix devel filelist to match new header location

* Mon Oct 15 2001 Matt Wilson <msw@redhat.com>
- get the headers from their new version-specific location

* Thu Oct 11 2001 Matt Wilson <msw@redhat.com>
- fixed typo in devel filelist
- added macro that tests to see if we have libglade2, make the
  filelist a condition of that
- changed name to 'pygtk2' to avoid name conflict with pygtk
